﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class PoopAnimPrefab
{
	public Transform parent;
	public GameObject prefab;
	public float pause;
}

public class AnimalController : MonoBehaviour
{
	public AudioPlayer audioPlayer;
	public Animator animator;
	public PoopAnimPrefab[] poopsAnims;
	public float cooldown;
	public int audioIndex;
	

	private bool readyToPoop;


	private void Start()
	{
		readyToPoop = true;
	}

	private IEnumerator Cooldown()
	{
		readyToPoop = false;
		yield return new WaitForSeconds(cooldown);
		readyToPoop = true;
	}

	public void OnClickForAnimals()
	{
		if(readyToPoop)
		{
			var index = Random.Range(0, poopsAnims.Length);
			var poop = poopsAnims[index];
			animator.SetInteger("Damage", index + 1);
			StartCoroutine(InstantiatePoop(poop));
			StartCoroutine(Cooldown());
		}
		else
		{
			audioPlayer.PlayClip(audioIndex);
		}
	}

	public IEnumerator InstantiatePoop(PoopAnimPrefab poop)
	{
		yield return new WaitForSeconds(poop.pause);
		animator.SetInteger("Damage", 0);
		Instantiate(poop.prefab, poop.parent);
	}
}
