﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;

public class AnimalsDisplayer : MonoBehaviour
{
	public ShopTab shopTab;
	public CurrentTab tabController;
	public Animals animals;
	public PlayerAnimals playerAnimals;
	public SpritesAtlasSO sprites;
	public AnimalDisplayer prefab;
	public Transform container;
	public Image mainImage;
	public Sprite defSprite;
	public Sprite selectedSprite;
	public AnimalDisplayer selectedItem;


	public void DisplayAnimals()
	{
		Clear();
		int counter = 0;
		for (int i = 0; i < animals.animals.Count; i++)
		{
			AnimalDisplayer animDisplayer = null;

			if (playerAnimals.animals.Any(item => item.name == animals.animals[i].name))
				continue;
			animDisplayer = Instantiate(prefab, container);
			animDisplayer.animal = animals.animals[i];
			animDisplayer.nameText.text = animals.animals[i].description;
			animDisplayer.image.sprite = sprites.GetSprite(animals.animals[i].name);
			animDisplayer.price.text = animals.animals[i].price.ToString();
			if (counter == 0)
			{
				selectedItem = animDisplayer;
			}
			var button = animDisplayer.GetComponent<Button>();
			button.onClick.AddListener(() => Select(animDisplayer));
			++counter;

		}
		tabController.SetTab(shopTab);
		DisplaySelected();
	}

	public void Select(AnimalDisplayer item)
	{
		selectedItem.boarder.sprite = defSprite;
		selectedItem = item;
		DisplaySelected();
	}

	public void DisplaySelected()
	{
		if (selectedItem == null)
			return;
		selectedItem.boarder.sprite = selectedSprite;
		mainImage.sprite = selectedItem.image.sprite;
	}

	public void Clear()
	{
		for (int i = 0; i < container.childCount; i++)
		{
			Destroy(container.GetChild(i).gameObject);
		}
	}
}
