﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public class AudioPlayer : MonoBehaviour
{
	public AudioSource player;
	public AudioClip[] clips;
	public Image soundIcon;
	public Sprite onSprite;
	public Sprite offSprite;
	private bool isOff;

	public void PlayClip(int index)
	{
		if (index < 0 || index >= clips.Length)
			return;
		PlayClip(clips[index]);
	}

	public void PlayClip(string name)
	{
		for (int i = 0; i < clips.Length; i++)
		{
			if (clips[i].name == name)
				PlayClip(clips[i]);
		}
	}

	public void PlayClip(AudioClip clip)
	{
		player.clip = clip;
		player.Play();
	}

	public void SetSound()
	{
		isOff = !isOff;
		if (isOff)
		{
			soundIcon.sprite = onSprite;
			player.volume = 1;
		}
		else
		{
			soundIcon.sprite = offSprite;
			player.volume = 0;
		}

	}

}
