﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[System.Serializable]
public class CharacterLevel
{
	public float skillRequire;
	public GameObject characterPrefab;
}

public class CharacterGrown : MonoBehaviour
{
	public Transform container;
	public CurrencyManager currencyManager;
	public CharacterLevel[] characterLevels;

	private CharacterLevel currentCharacterLevel;

	private void Start()
	{
		currencyManager.onCurrenciesChaned += OnTick;
		OnTick(this, new System.EventArgs());
	}

	public void OnTick(object sender, System.EventArgs args)
	{
		for (int i = 0; i < characterLevels.Length; i++)
		{
			if(characterLevels[i].skillRequire > currencyManager.allTimeEarn)
			{
				if(currentCharacterLevel != characterLevels[i - 1])
				{
					currentCharacterLevel = characterLevels[i - 1];
					Destroy(container.GetChild(0));
					Instantiate(currentCharacterLevel.characterPrefab, container);
				}
			}
		}
	}
}
