﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System;

[CreateAssetMenu(fileName ="CurrencyManger")]
public class CurrencyManager : ScriptableObject
{
	public ScaleOfJoy joy;
	public float currencyPerTick;
	public float currentCurrency;
	public float allTimeEarn;

	public event EventHandler onCurrenciesChaned;

	public void OnTick()
	{
		AddToCurrency(currencyPerTick * joy.currentMood);
	}

	public void AddCurrency(float currency)
	{
		AddToCurrency(currency);
	}

	private void AddToCurrency(float currency)
	{
		currentCurrency += currency;
		allTimeEarn += currency;
		InvokeChange();
	}

	public void RemoveCurrency(float currency)
	{
		currentCurrency -= currency;
		InvokeChange();
	}

	public void InvokeChange()
	{
		if(onCurrenciesChaned != null)
		{
			onCurrenciesChaned.Invoke(this, new EventArgs());
		}
	}

	public void Reset()
	{
		currencyPerTick = 1;
		currentCurrency = 0;
		allTimeEarn = 0;
	}
}
