﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;

public enum ShopTab
{
	HomeItems,
	PC,
	Pets,
	Room
}

public class CurrentTab : MonoBehaviour
{
	public ShopTab currentTab;
	public PlayerHomeAccessories playerHomeAccessories;
	public PlayerPCAccessories pcAccessories;
	public PlayerAnimals playerAnimals;
	public ScaleOfJoy joy;
	public CurrencyManager currency;
	public HomeItemsShop home;
	public AnimalsDisplayer animalsDisplayer;
	public PCShop pC;
	public Sprite activeTab;
	public Sprite inactiveTab;
	public Image boostImage;
	public Button[] tabs;
	public Sprite[] iconsBoost;


	public void SetTab(ShopTab tab)
	{
		currentTab = tab;
		SetActiveTab();
	}

	public void SetActiveTab()
	{
		SetButtonsDisable();
		switch (currentTab)
		{
			case ShopTab.HomeItems:
				boostImage.transform.parent.gameObject.SetActive(true);
				tabs[0].image.sprite = activeTab;
				boostImage.sprite = iconsBoost[0];
				break;
			case ShopTab.PC:
				boostImage.transform.parent.gameObject.SetActive(true);
				tabs[1].image.sprite = activeTab;
				boostImage.sprite = iconsBoost[1];
				break;
			case ShopTab.Pets:
				boostImage.transform.parent.gameObject.SetActive(false);
				tabs[2].image.sprite = activeTab;
				break;
			case ShopTab.Room:
				boostImage.transform.parent.gameObject.SetActive(false);
				tabs[3].image.sprite = activeTab;
				boostImage.sprite = iconsBoost[3];
				break;
		}
	}

	public void SetButtonsDisable()
	{
		for (int i = 0; i < tabs.Length; i++)
		{
			tabs[i].image.sprite = inactiveTab;
		}
	}

	public void BuySelectedItem()
	{
		switch (currentTab)
		{
			case ShopTab.HomeItems:
				if (currency.currentCurrency < home.selectedItem.accessory.price)
					return;
				currency.currentCurrency -= home.selectedItem.accessory.price;
				joy.maxMood += home.selectedItem.accessory.moodModifier;
				playerHomeAccessories.Add(home.selectedItem.accessory);
				home.DisplayHomeItems();
				break;
			case ShopTab.PC:
				if (currency.currentCurrency < pC.selectedItem.item.price)
					return;
				currency.currentCurrency -= pC.selectedItem.item.price;
				currency.currencyPerTick += pC.selectedItem.item.additionalMoney;
				pcAccessories.Add(pC.selectedItem.item);
				pC.DisplayPCItems();
				break;
			case ShopTab.Pets:
				if (currency.currentCurrency < animalsDisplayer.selectedItem.animal.price)
					return;
				currency.currentCurrency -= animalsDisplayer.selectedItem.animal.price;
				playerAnimals.Add(animalsDisplayer.selectedItem.animal);
				animalsDisplayer.DisplayAnimals();
				break;
			case ShopTab.Room:
				break;
		}
	}
}