﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public interface IValueChangeble
{
	event System.EventHandler onValueChanged;
	void Invoke(object sender, System.EventArgs args);
}

[CreateAssetMenu(fileName = "FloatSO", menuName = "Varibles/Float")]
public class FloatSO : ScriptableObject, IValueChangeble
{
	public float value = default(float);
	public event System.EventHandler onValueChanged = default(System.EventHandler);


	public void Invoke(object sender, System.EventArgs args)
	{
		if(onValueChanged != null)
		{
			onValueChanged.Invoke(sender, args);
		}
	}

	public void ChangeValue(float value, object sender, System.EventArgs args)
	{
		this.value += value;
		Invoke(sender, args);
	}
}
