﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;
using UnityEngine.UI;
using TMPro;

public class FoodsDisplayer : MonoBehaviour
{
	public AudioPlayer audioPlayer;
	public FoodStorage foodStorage;
	public FoodDisplayer displayerPrefab;
	public SpritesAtlasSO sprites;

	public Transform container;

	void Start()
	{
		DisplayWindow();
	}

	public void DisplayWindow()
	{
		Clear();
		for (int i = 0; i < foodStorage.foods.Count; i++)
		{
			FoodDisplayer food = null;
			food = Instantiate(displayerPrefab, container);
			food.food = foodStorage.foods[i];
			food.nameText.text = foodStorage.foods[i].description;
			food.image.sprite = sprites.GetSprite(foodStorage.foods[i].name);
			food.price.text = foodStorage.foods[i].price.ToString();
			food.pointsBoost.text = foodStorage.foods[i].moodModifier.ToString();
			food.audioPlayer = audioPlayer;
		}
	}

	public void Clear()
	{
		for (int i = 0; i < container.childCount; i++)
		{
			Destroy(container.GetChild(0).gameObject);
		}
	}

}
