﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;

[System.Serializable]
public class HomeItemHolder
{
	public SpriteRenderer image;
	public HomeAccessoryType type;
}

public class HomeItemsManager : MonoBehaviour
{
	public PlayerHomeAccessories playerHomeAccessories;
	public SpritesAtlasSO sprites;
	public HomeItemHolder[] items;

	public void Start()
	{
		playerHomeAccessories.onAddEvent += OnBuy;
		OnBuy(this,new System.EventArgs());
	}

	public void OnBuy(object sender, System.EventArgs args)
	{
		for (int i = 0; i < items.Length; i++)
		{
			var item = playerHomeAccessories.GetItem(items[i].type);
			if(item != null)
			{
				var sprite = sprites.GetSprite(item.name); 
				if(sprite != null)
					items[i].image.sprite = sprites.GetSprite(item.name);
			}
		}
	}

	public void OnDestroy()
	{
		playerHomeAccessories.onAddEvent -= OnBuy;
	}
}
