﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;
using TMPro;

public class HomeItemsShop : MonoBehaviour
{
	public ShopTab shopTab;
	public CurrentTab tabController;
	public HomeAccessories homeAccessories;
	public PlayerHomeAccessories playerHomeAccessories;
	public SpritesAtlasSO sprites;
	public HomeItemDisplayer prefab;
	public Transform container;
	public Image mainImage;
	public Sprite defSprite;
	public Sprite selectedSprite;
	public TextMeshProUGUI	boostText;
	public HomeItemDisplayer selectedItem;


	public void DisplayHomeItems()
	{
		Clear();
		int counter = 0;
		for (int i = 0; i < homeAccessories.homeAccessories.Count; i++)
		{
			HomeItemDisplayer homeItem = null;

			if (playerHomeAccessories.homeAccessories.Any(item => item.name ==  homeAccessories.homeAccessories[i].name))
					continue;
			homeItem = Instantiate(prefab, container);
			homeItem.accessory = homeAccessories.homeAccessories[i];
			homeItem.nameText.text = homeAccessories.homeAccessories[i].description;
			homeItem.image.sprite = sprites.GetSprite(homeAccessories.homeAccessories[i].name);
			homeItem.price.text = homeAccessories.homeAccessories[i].price.ToString();
			if(counter == 0)
			{
				selectedItem = homeItem;
			}
			var button = homeItem.GetComponent<Button>();
			button.onClick.AddListener(() => Select(homeItem));
			++counter;

		}
		tabController.SetTab(shopTab);
		DisplaySelected();
	}

	public void Select(HomeItemDisplayer item)
	{
		selectedItem.boarder.sprite = defSprite;
		selectedItem = item;
		DisplaySelected();
	}

	public void DisplaySelected()
	{
		if (selectedItem == null)
			return;
		boostText.text = selectedItem.accessory.moodModifier.ToString();
		selectedItem.boarder.sprite = selectedSprite;
		mainImage.sprite = selectedItem.image.sprite;
	}

	public void Clear()
	{
		for (int i = 0; i < container.childCount; i++)
		{
			Destroy(container.GetChild(i).gameObject);
		}
	}

}
