﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;


[System.Serializable]
public class PCItemHolder
{
	public SpriteRenderer image;
	public ComputerItemType type;
}

public class PCItemsManager : MonoBehaviour
{
	public PlayerPCAccessories playerPCAccessories;
	public SpritesAtlasSO sprites;
	public PCItemHolder[] items;

	public void Start()
	{
		playerPCAccessories.onAddEvent += OnBuy;
		OnBuy(this, new System.EventArgs());
	}

	public void OnBuy(object sender, System.EventArgs args)
	{
		for (int i = 0; i < items.Length; i++)
		{
			var item = playerPCAccessories.GetItem(items[i].type);
			if (item != null)
			{
				var sprite = sprites.GetSprite(item.name);
				if(sprite != null)
					items[i].image.sprite = sprite;
			}
		}
	}

	public void OnDestroy()
	{
		playerPCAccessories.onAddEvent -= OnBuy;
	}
}
