﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using System.Linq;
using TMPro;

public class PCShop : MonoBehaviour
{
	public ShopTab shopTab;
	public CurrentTab tabController;
	public PcAccessories PcAccessories;
	public PlayerPCAccessories playerPCaccessories;
	public SpritesAtlasSO sprites;
	public Image mainImage;
	public Sprite defSprite;
	public Sprite selectedSprite;
	public PCItemDisplayer prefab;
	public Transform container;
	public TextMeshProUGUI	boostText;
	public PCItemDisplayer selectedItem;

	public void DisplayPCItems()
	{
		Clear();
		int counter = 0;
		for (int i = 0; i < PcAccessories.items.Count; i++)
		{
			if (playerPCaccessories.PCAccessories.Any(item => item.name == PcAccessories.items[i].name))
				continue;
			PCItemDisplayer homeItem;
			homeItem = Instantiate(prefab, container);
			homeItem.item = PcAccessories.items[i];
			homeItem.image.sprite = sprites.GetSprite(PcAccessories.items[i].name);
			homeItem.nameText.text = PcAccessories.items[i].description;
			homeItem.price.text = PcAccessories.items[i].price.ToString();
			if (counter == 0)
			{
				selectedItem = homeItem;
			}
			var button = homeItem.GetComponent<Button>();
			button.onClick.AddListener(() => Select(homeItem));
			counter++;
		}
		
		tabController.SetTab(shopTab);
		DisplaySelected();
	}

	public void Select(PCItemDisplayer item)
	{
		selectedItem.boarder.sprite = defSprite;
		selectedItem = item;
		DisplaySelected();
	}

	public void DisplaySelected()
	{
		if (selectedItem == null)
			return;
		boostText.text = selectedItem.item.additionalMoney.ToString();
		selectedItem.boarder.sprite = selectedSprite;
		mainImage.sprite = selectedItem.image.sprite;
	}

	public void Clear()
	{
		for (int i = 0; i < container.childCount; i++)
		{
			Destroy(container.GetChild(i).gameObject);
		}
	}
}
