﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

[CreateAssetMenu(fileName = "PlayerAnimals")]
public class PlayerAnimals : ScriptableObject
{
	public List<Animal> animals;

	public event System.EventHandler onAddEvent;

	public Animal GetItem(AnimalType type)
	{
		var tmpList = animals.Where(a => a.type == type);
		return tmpList.FirstOrDefault();
	}

	public void Add(Animal accessory)
	{
		animals.Add(accessory);
		OnAdd();
	}

	private void OnAdd()
	{
		if (onAddEvent != null)
		{
			onAddEvent.Invoke(this, new System.EventArgs());
		}
	}

	public void Reset()
	{
		animals.Clear();
		animals = null;
		animals = new List<Animal>();
	}

}
