﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class PlayerBubbleController : MonoBehaviour
{
    public List<string> texts;
    public float timeInterval;
    public float showInterval;
    private Coroutine textCoroutine;
    public GameObject bubbleWindow;
    private Coroutine showCoroutine;
    public PlayerMessage playerMessage;
    // Start is called before the first frame update
    void Start()
    {
        var rnd = new Random();
        texts = Shuffle(texts);
        textCoroutine = StartCoroutine(Text());
    }

    // Update is called once per frame
    void Update()
    {

    }

    public static List<T> Shuffle<T>(List<T> list)
    {
        System.Random rnd = new System.Random();
        for (int i = 0; i < list.Count; i++)
        {
            int k = rnd.Next(0, i);
            T value = list[k];
            list[k] = list[i];
            list[i] = value;
        }
        return list;
    }

    IEnumerator Text()
    {
        for (int i = 0; i < texts.Count; i++)
        {

            playerMessage.ShowMessage(texts[i]);
            yield return new WaitForSeconds(timeInterval);
            if (i == texts.Count - 1)
            {
                i = 0;
                texts = Shuffle(texts);
            }
        }
    }

}
