﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

[CreateAssetMenu(fileName = "PlayerHomeAccessories")]
public class PlayerHomeAccessories : ScriptableObject
{
	public List<HomeAccessory> homeAccessories;

	public event System.EventHandler onAddEvent;

	public void Add(HomeAccessory accessory)
	{
		homeAccessories.Add(accessory);
		OnAdd();
	}

	public HomeAccessory GetItem(HomeAccessoryType type)
	{
		var tmpList = homeAccessories.Where(a => a.type == type);
		return tmpList.FirstOrDefault(t => t.level == tmpList.Max(t2 => t2.level));
	}

	public void OnAdd()
	{
		if(onAddEvent != null)
		{
			onAddEvent.Invoke(this, new System.EventArgs());
		}
	}

	public void Reset()
	{
		Debug.Log("Reseted Home");
		homeAccessories.Clear();
		homeAccessories = null;
		homeAccessories = new List<HomeAccessory>();
	}
}
