﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.UI;
using TMPro;

public class PlayerMessage : MonoBehaviour
{
    public GameObject bubbleWindow;
    public Text bubbleText;
    private Coroutine showCoroutine;
    public float showInterval;
    private string text;


    public void ShowMessage(string message)
    {
		if (string.IsNullOrEmpty(message))
			return;
        text = message;
        showCoroutine = StartCoroutine(Show());
    }

    IEnumerator Show()
    {
        bubbleText.text = text;
        bubbleWindow.SetActive(true);
        yield return new WaitForSeconds(showInterval);
        bubbleWindow.SetActive(false);

    }
}
