﻿using System;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

[CreateAssetMenu(fileName = "PlayerPCAccessories")]
public class PlayerPCAccessories : ScriptableObject
{
	public List<ComputerItem> PCAccessories;

	public event System.EventHandler onAddEvent;

	public ComputerItem GetItem(ComputerItemType type)
	{
		var tmpList = PCAccessories.Where(a => a.type == type);
		return tmpList.FirstOrDefault(t => t.level == tmpList.Max(t2 => t2.level));
	}

	public void Add(ComputerItem accessory)
	{
		PCAccessories.Add(accessory);
		OnAdd();
	}

	private void OnAdd()
	{
		if(onAddEvent != null)
		{
			onAddEvent.Invoke(this, new System.EventArgs());
		}
	}

	public void Reset()
	{
		Debug.Log("Reseted PC");
		PCAccessories.Clear();
		PCAccessories = null;
		PCAccessories = new List<ComputerItem>();
	}
}
