﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using UnityEngine.SceneManagement;



public class ProgressResetter : MonoBehaviour
{
	public bool reset;
	private void Awake()
	{
		if (reset)
			ResetProgress();
	}

	public ScaleOfJoy joy;
	public CurrencyManager currencyManager;
	public PlayerPCAccessories playerPCAccessories;
	public PlayerHomeAccessories homeAccessories;
	public PlayerTournaments playerTournaments;
	public PlayerAnimals playerAnimals;


	[ContextMenu("ResetProgress")]
	public void ResetProgress()
	{
		joy.Reset();
		currencyManager.Reset();
		playerPCAccessories.Reset();
		homeAccessories.Reset();
		playerTournaments.Reset();
		playerAnimals.Reset();
	}

	public void Restart()
	{
		StartCoroutine(Res());
	}

	public IEnumerator Res()
	{
		ResetProgress();
		yield return new WaitForFixedUpdate();
		SceneManager.LoadScene(0);
	}

	public void Exit()
	{
		Application.Quit();
	}

}
