﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;

[CreateAssetMenu(fileName = "ScaleOfJoy")]
public class ScaleOfJoy:ScriptableObject
{
	public float defaultMin = 1;
	public float defaultMax = 2;
	public float minMood = 1f;
    public float currentMood = 1.5f;
    public float maxMood = 2f;

	public event System.EventHandler onValueChanged;

    public void AddMood(float number)
    {
        if (currentMood + number < maxMood) {

            currentMood += number;
        } else {

            currentMood = maxMood;
        }
		ValueChanged(this, new System.EventArgs());
	}

	public void SubMood(float number)
    {
        if (currentMood - number > minMood)
        {
            currentMood -= number;
        } else {

            currentMood = minMood;
        }
		ValueChanged(this, new System.EventArgs());
	}

	private void ValueChanged(object sender, System.EventArgs args)
	{
		if(onValueChanged != null)
		{
			onValueChanged.Invoke(sender, args);
		}
	}

	public void Reset()
	{
		minMood = defaultMin;
		currentMood = (defaultMin + defaultMax) / 2;
		maxMood = defaultMax;
	}
}
