﻿using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using System.Linq;

public class TournamentsDisplayer : MonoBehaviour
{
	public AudioPlayer audioPlayer;
	public TournamentStore tournamentStore;
	public PlayerTournaments playerTournaments;
	public TourmanemtDisplayer displayerPrefab;
	public SpritesAtlasSO sprites;

	public Transform container;

    void Start()
    {
		DisplayWindow();
	}

	public void DisplayWindow()
	{
		Clear();

		for (int i = 0; i < tournamentStore.tournaments.Count; i++)
		{
			if (playerTournaments.tournaments.Any(t => t.name == tournamentStore.tournaments[i].name))
				continue;
			TourmanemtDisplayer tourmanemt = null;
			tourmanemt = Instantiate(displayerPrefab, container);
			tourmanemt.tournament = tournamentStore.tournaments[i];
			tourmanemt.nameText.text = tournamentStore.tournaments[i].description;
			tourmanemt.earn.text = tournamentStore.tournaments[i].earning.ToString();
			tourmanemt.price.text = tournamentStore.tournaments[i].price.ToString();
			tourmanemt.skill.text = tournamentStore.tournaments[i].skillRequired.ToString();
			tourmanemt.country.sprite = sprites.GetSprite(tournamentStore.tournaments[i].country);
			tourmanemt.audioPlayer = audioPlayer;
		}
	}
	
	public void Clear()
	{
		for (int i = 0; i < container.childCount; i++)
		{
			Destroy(container.GetChild(0).gameObject);
		}
	}
    
}
